Subject: Re: [bug#37413] [PATCH v2 11/11] DRAFT etc: Add channel news file.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 22 Sep 2019 13:14:33 +0200

I can only make comments about the text. :D

Patch 1:

On Sat, Sep 21, 2019 at 11:12:18PM +0200, Ludovic Courtès wrote:
> +(define (display-channel-news profile)
> +  "Display new about the channels of PROFILE "

You fixed it in patch 8 anyway, so you can ignore it: Docstring should
be "Display news…" with s.

Patch 4:

On Sat, Sep 21, 2019 at 11:12:21PM +0200, Ludovic Courtès wrote:
> +The @code{title} field should be a one-line summary while @code{body}
> +can be arbitrary long, and both can contain Texinfo markup
> +(@pxref{Overview,,, texinfo, GNU Texinfo}).  Both the title and body are
> +a list of language tag/message tuples, which allows @command{guix pull}
> +to display news in the language that corresponds to the user's locale.

“arbitrarily” with -ly.

Patch 11:

On Sat, Sep 21, 2019 at 11:12:28PM +0200, Ludovic Courtès wrote:
> +(channel-news
> + (version 0)
> + (entry (commit "d17f14c167791b640e49b2b6443d20f9534c62d7")
> +        (title (en "New channel news mechanism")
> +               (fr "Nouveau mécanisme d'information sur les canaux"))

German would be:

(de "Neuer Mechanismus, um Neuigkeiten über Kanäle anzuzeigen.")

> +        (body
> +         (en "You are reading this message through the new channel news
> +mechanism, congratulations!  This mechanism allows channel authors to provide
> +@dfn{news entries} that their users can view with @command{guix pull --news}.
> +Run @command{info \"(guix) Invoking guix pull\"} for more info.")
> +         (fr "Ce message t'arrive à travers le nouveau mécanisme d'information
> +des canaux, bravo !  Ce mécanisme permet aux auteur·rice·s de canaux de
> +fournir des informations qu'on peut visualiser avec @command{guix pull
> +--news}.  Tape @command{info \"(guix.fr) Invoquer guix pull\"} pour plus de
> +détails."))))

German would be:

(de "Sie lesen diese Meldung mit Hilfe des neuen Mechanismus, um
Neuigkeiten über Kanäle anzuzeigen — Glückwunsch! Mit diesem
Mechanismus können Kanalautoren Ihren Nutzern @dfn{Einträge zu
Neuigkeiten} mitteilen, die diese sich mit @command{guix pull --news}
anzeigen lassen können. Führen Sie @command{info \"(guix.de) Aufruf
von guix pull\"} aus, um weitere Informationen zu erhalten.")

(Of course the German manual does not actually contain translated
information yet, but whatever.  It would be nice if the Translation
Project would accept new PO files without marking PO entries as fuzzy
that changed since the old version at the TP.)

Regards,
Florian